| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::ProcessNameExclusionScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessNameExclusionScriptCompilerEvent:
[legend]

## Public Member Functions
| ProcessNameExclusionScriptCompilerEvent (const String &cls, AbstractNode *parent)

## Public Attributes
String | mClass
AbstractNode * | mParent
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ ProcessNameExclusionScriptCompilerEvent()

Ogre::ProcessNameExclusionScriptCompilerEvent::ProcessNameExclusionScriptCompilerEvent | ( | const String & | cls,
|  | AbstractNode * | parent
| ) |  |
| inline

## Member Data Documentation

## ◆ mClass

String Ogre::ProcessNameExclusionScriptCompilerEvent::mClass

## ◆ mParent

AbstractNode* Ogre::ProcessNameExclusionScriptCompilerEvent::mParent

## ◆ eventType

String Ogre::ProcessNameExclusionScriptCompilerEvent::eventType
| static

## ◆ mType

String Ogre::ScriptCompilerEvent::mType
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h